<Orders>
    <UpdateOrder>
        <Function>2</Function>
        <ErrorLevel>2</ErrorLevel>
        <CheckNumber>{{ ticket_number }}</CheckNumber>
        {%- if sub_ticket_number %}
        <SubCheckNumber>{{ sub_ticket_number }}</SubCheckNumber>
        {%- endif %}
        <ReferenceNumber>{{ request_number }}</ReferenceNumber>
        <Check>
            <CheckHeader>
               {%- if terminal_number %}
               <TerminalNumber>{{ terminal_number }}</TerminalNumber>
               {%- endif %}
            </CheckHeader>
        </Check>
        <CreditCardAuth>
            <CardNumber>{{ loyalty_card_number }}</CardNumber>
            <ExpirationDate>XXXX</ExpirationDate>
            <LoyaltyCard>Y</LoyaltyCard>
            <Amount>0.00</Amount>
        </CreditCardAuth>
    </UpdateOrder>
</Orders>
